#include "singleton_test_class1.h"
#include "wsClientMgr.h"
#include <iostream>

singleton_test_class1::singleton_test_class1()
{
	
}

singleton_test_class1::~singleton_test_class1()
{

}

void singleton_test_class1::DoSome()
{
	std::cout << "-- singleton_test_class1::DoSome() --" << std::endl;

	if ( swsClientMgr.IsConnected() )
	{
		std::cout << "swsClientMgr Is Connected!" << std::endl;
	}
	else
	{
		std::cout << "swsClientMgr Is not Connected!" << std::endl;
	}

	if ( swsClientMgr.IsLogined() )
	{
		std::cout << "swsClientMgr Is Logined!" << std::endl;
	}
	else
	{
		std::cout << "swsClientMgr Is not Logined!" << std::endl;
	}
}